Subject: Re: linux-next: build failure after merge of the block tree

From: Mark Brown <[email-masked]>
Date: Wed, 27 May 2026 15:55:10 +0100

On Wed, May 27, 2026 at 08:39:16AM -0600, Jens Axboe wrote:
> On 5/27/26 8:16 AM, Mark Brown wrote:

> > possibly interacting with some rust change but I'm not sure.  I have
> > used the tree from next-20260526 instead.

> Hmm, not sure we should let rust build issues gate whether a tree is
> current in -next or not. For, by far, most systems, it's not a
> requirement for a functional device.

That's also true for a huge proportion of the issues that get caught
with an allmodconfig, and allnoconfig is not exactly a realistic
configuration either.  It's not just runtime issues, it's also issues
that come up in people's coverage tests.  TBH the rust stuff originally
got turned on because I ran the allmodconfig on a machine that happened
to have a usable rustc installed, I was intending to enable it at some
point anyway.